Jump to content

REQUIRE LISP PROGRAM TO MAKE COORDINATE TABLE+ EXPORT TO EXCEL


Recommended Posts

Posted (edited)

 

DEAR TEAM 

 

MODIFY :-----------------------------------------------

 

NOW I NEED ONLY TO MAKE COORDINATE TABLE (BY LAYER TEXT POINT, LINE) , I WRITE STEP ALSO IN CAD FILE.

 

HERE I ATTACHED CAD FILE FOR YOUR REFERENCE.

 

THANKS TEAM.

 

I WILL  BE VERY THANKS FULL .

 

 

 

CT 2.JPG

COORDINATE TABLE 2.dwg

Edited by Ish
MODIFY
Posted

Ish you have made a lot of requests but not much providing solutions, maybe time to have a go, you should by now know how to search for what you have asked for.

 

Get pline co-ords    (setq co-ord (mapcar 'cdr (vl-remove-if-not '(lambda (x) (= (car x) 10)) (entget (car (entsel "pick pline")))))

Make a table and fill search

Export co-ords to csv search

  • Like 1
Posted

This request not for pline coordinate. this is for pick point request. Anywhere I pick/click make point with point number  and draw coordinate table accordingly.

thanks

Posted (edited)

A simple make a list of points.

(setq lst '())
(while (setq pt (getpoint "Pick point Enter to exit"))
(setq lst (cons pt lst))
)
; now make table and fill in 

I did a google for "put list into table lisp" just scroll down a bit and answer is there.

Edited by BIGAL
  • Like 1
Posted

i did google but not found as per my requirement, So,i request you sir much better upload complete lisp. As per my requirement.

thanks

  • Dislike 1
Posted

Wow - I don't think there is much more to add than that.

  • Like 1
Posted

MISSING

STEP

 

PICK YOUR REQUIREMENTS: <EN> <ENZ>

SPECIFY LOCATION FOR COORDINATE TABLE:

ENTER YOUR START NUMBER:<1>

PICK POINT Enter to exit:

Posted

While you're waiting, consider that this isn't some magic portal where you ask for something for free and it's delivered to you with a flash of smoke.....

 

 

  • Like 4
Posted

You can take a horse to water but it does not mean it will drink.

  • Like 1
  • 1 month later...
Posted

DEAR TEAM 

 

FOR ABOVE POST I ALREADY GET TEXT TO EXCEL LISP,

 

NOW I NEED ONLY TO MAKE COORDINATE TABLE , I WRITE STEP ALSO IN CAD FILE.

 

HERE I ATTACHED CAD FILE FOR YOUR REFERENCE.

 

THANKS TEAM.

 

I WILL  BE VERY THANKS FULL .

 

COORDINATE TABLE 2.dwg

Posted

 

it's not difficult task.

there are many useful functions ready to use just search or google.

example --> old thread offset table 

(hp:table list insertion title size) ;

 

just need to populate your data in the list

(list

( ... ) ; 1st row

( ...) ; 2nd row

(...) ; 3rd row

(...) ; 4th row

(...) ; nth row etc... 

)

 

This is very basic code see learn how coordinates put at 4th row?

 

(defun c:test (/ pt x y z lst)
  (and (setq i	3
	     pt	(getpoint "\nSpecify point of table..")
	     )
       (setq x (car pt) ; easting
	     y (cadr pt) ; northing
	     z (caddr pt) ; elevation
	     )
       (hp:TABLE (setq lst (list  '("PT" "EASTING" "NORTHING" "ELEV" "REMARK")
		   	'("1" "0.000" "0.000" "10.00" "A")
		   	'("2" "123.00" "456.00" "20.00" "B")
		   	'("3" "-987.00" "654.00" "30.00" "C")
		   ;;learn to populate list here
		   (list
		    (itoa (setq i (1+ i))) ; increamental 
		    (rtos y 2 3)
		    (rtos x 2 3)
		    (rtos z 2 3)
		    "POINT"
		    )

           ;;try to add same pattern here see what happen?

		   )
          )
		 pt ; point 
		 "COORDINATES TABLE" ; Title
		 1.0 ; textsize
		 )
       )
  (princ)
  )


 

  • Like 1
Posted (edited)
1 hour ago, hanhphuc said:

 

it's not difficult task.

there are many useful functions ready to use just search or google.

example --> old thread offset table 

(hp:table list insertion title size) ;

 

just need to populate your data in the list

(list

( ... ) ; 1st row

( ...) ; 2nd row

(...) ; 3rd row

(...) ; 4th row

(...) ; nth row etc... 

)

 

This is very basic code see learn how coordinates put at 4th row?

 


(defun c:test (/ pt x y z lst)
  (and (setq i	3
	     pt	(getpoint "\nSpecify point of table..")
	     )
       (setq x (car pt) ; easting
	     y (cadr pt) ; northing
	     z (caddr pt) ; elevation
	     )
       (hp:TABLE (setq lst (list  '("PT" "EASTING" "NORTHING" "ELEV" "REMARK")
		   	'("1" "0.000" "0.000" "10.00" "A")
		   	'("2" "123.00" "456.00" "20.00" "B")
		   	'("3" "-987.00" "654.00" "30.00" "C")
		   ;;learn to populate list here
		   (list
		    (itoa (setq i (1+ i))) ; increamental 
		    (rtos y 2 3)
		    (rtos x 2 3)
		    (rtos z 2 3)
		    "POINT"
		    )

           ;;try to add same pattern here see what happen?

		   )
          )
		 pt ; point 
		 "COORDINATES TABLE" ; Title
		 1.0 ; textsize
		 )
       )
  (princ)
  )


 

i will be thanks sir, if you make complete one. including below step  (because i need  choice , en or enz.) with layer wise, point object in point layer, text in text layer and line in outer line layer.

 

COMMAND: STOC

PICK YOUR  (choice) REQUIREMENTS: <EN> <ENZ> EN DEFAULT

SPECIFY LOCATION FOR COORDINATE TABLE:

ENTER YOUR START NUMBER:<1> DEFAULT BUT WITH CHOICE ALSO.

PICK POINT:

 

 

thanks..

 

 

 

Edited by Ish
MODIFY
Posted

this program i need for bridge and underpass setting out. footing, pile, base slab wall, etc. and also for road layout setting out. 

thanks

 

Posted

our surveyor they need also this kind of lisp. for setting out purpose.

 

thanks team

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...